variable "hcloud_token" {
  description = "Hetzner cloud auth token"
  type        = string
  sensitive   = true
}

module "cluster" {
  source       = "git@git.indie.host:indiehost/tech/infrastructure/terraform-hetzner-cluster.git"
  hcloud_token = var.hcloud_token
  name         = "{{ .Name }}"
  sshKeys      = {{ .SSHKeys | printL }}
  location     = "{{ .Location }}"
  api          = jsondecode("{{ .API | toJson | replace "\"" "\\\""  }}")
  ingress      = jsondecode("{{ .Ingress | toJson | replace "\"" "\\\""  }}")
  network      = jsondecode("{{ .Network | toJson | replace "\"" "\\\""  }}")
  nodes        = jsondecode("{{ .Nodes | toJson | replace "\"" "\\\""  }}")
}

output "cluster" {
  value = module.cluster
}
